jQuery(document).ready(function($) {
    $('#product-tab').css('display', 'none');
    //checks for tab content and hides menu items without
    $('.elementor-tab-content.elementor-clearfix').each(function() {
        if ($(this).children().length === 0) {
            let idArr = $(this).attr('id').split('-');
            let idNum = idArr[idArr.length - 1];
            //hides elementor tabs without any data to populate
            let tabID = '#elementor-tab-title-' + idNum;
            $(tabID).hide();
            let mobileSelector = "elementor-tab-content-" + idNum;
            //selects mobile tabs and hides them too
            $('.elementor-tab-title.elementor-tab-mobile-title').each(function() {
                if ($(this).attr('aria-controls') == mobileSelector){
                    $(this).hide();
                }
            });
        } else if ($(this).find('p').is(':empty')) {
        //else if(!$.trim($(this).html())) {
           // alert($(this).attr('id'));
            let idArr = $(this).attr('id').split('-');
            let idNum = idArr[idArr.length - 1];
            //hides elementor tabs without any data to populate
            let tabID = '#elementor-tab-title-' + idNum;
            if($(this).find('table').length ){
                $(tabID).show();
                let mobileSelector = "elementor-tab-content-" + idNum;
                //selects mobile tabs and hides them too
                $('.elementor-tab-title.elementor-tab-mobile-title').each(function() {
                    if ($(this).attr('aria-controls') == mobileSelector){
                        $(this).show();
                    }
                });
            } else {
                $(tabID).hide();
                $('.elementor-tab-title.elementor-tab-mobile-title').each(function() {
                    if ($(this).attr('aria-controls') == mobileSelector){
                        $(this).hide();
                    }
                });
            }
        }
    });
    $('#product-tab').fadeIn(2000);
});